Subject: Re: [PATCH 4/4] bonding: fix multiple 3ad mode sysfs race conditions

From: Nikolay Aleksandrov <[email-masked]>
Date: Sat, 18 May 2013 04:45:00 +0200

On 17/05/13 18:59, Jay Vosburgh wrote:
>
> 	I think the patch is functionally fine, but the usual
> nomenclature for adding a "wrapper" is to have the "functional" piece be
> named "__function", and the "wrapper" piece to be just "function".  In
> this case, it would be __bond_3ad_get_active_agg_info for the "inside"
> function (the current function that is being wrapped), and
> bond_3ad_get_active_agg_info for the wrapper.  Yes, this makes for a
> different changeset (as some other calls already hold the locks and will
> change to the __ version), but the end result is clearer.
> 
> 	-J
> 

Jay thank you for the review, I've done the necessary changes to the
function names and moved the wrapper to bond_3ad.c, but had to make them
both global as you said since they're both used at different places.
I'll re-post v2 tomorrow after I do some testing since it's 4 am here
now :-)

Cheers,
 Nik